curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/sync-committee/validators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chain": "mainnet",
"sync_committee_period": "latest",
"cursor": "",
"page_size": 10,
"validator": {
"validator_identifiers": [
1
]
}
}
'{
"data": [
{
"validator": {
"index": 1,
"public_key": "<string>"
},
"duties": {
"successful": 1,
"assigned": 1,
"missed": 1,
"missed_including_missed_slots": 1,
"scheduled": 1
}
}
],
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
},
"paging": {
"next_cursor": "<string>"
}
}Returns the validators in the sync committee for a particular sync period.
You can combine this endpoint with:
Response can be filtered to a specific set of validators by providing optional validator identifiers in the request body.
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/sync-committee/validators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chain": "mainnet",
"sync_committee_period": "latest",
"cursor": "",
"page_size": 10,
"validator": {
"validator_identifiers": [
1
]
}
}
'{
"data": [
{
"validator": {
"index": 1,
"public_key": "<string>"
},
"duties": {
"successful": 1,
"assigned": 1,
"missed": 1,
"missed_including_missed_slots": 1,
"scheduled": 1
}
}
],
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
},
"paging": {
"next_cursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt
Use this file to discover all available pages before exploring further.
validator is optional in this request body
The Ethereum chain to query.
mainnet, hoodi Specify a sync committee period using one of the following methods.
Show child attributes
Cursor value for pagination. See our pagination guide for more details.
The number of items to return per page.
1 <= x <= 10validator is optional in this request body. If not provided, results will be unfiltered.
Show child attributes
Was this page helpful?